# Interface DrawRegularPolygonFromClickOptions

#### Hierarchy

- DrawRegularPolygonFromClickOptions

- Defined in src/interaction/DrawRegularPolygonFromClick.js:34

#####
Index

### Properties

angle
radius
sides

## Properties

### angle

angle: number

Angle in radians. A value of 0 will have one of the shape's point facing up

- Defined in src/interaction/DrawRegularPolygonFromClick.js:35

### radius

radius: number

Radius size in map units.

- Defined in src/interaction/DrawRegularPolygonFromClick.js:36

### sides

sides: number

The number of sides for the regular polygon.

- Defined in src/interaction/DrawRegularPolygonFromClick.js:37

Generated using TypeDoc